Herald
OpenapiAuth

Request to change the email address for the authenticated user

Initiates an email change process by sending a verification code to the new email address. The user must click the confirmation link in the email to complete the change.

POST
/api/auth/{realmId}/change_email/request

Initiates an email change process by sending a verification code to the new email address. The user must click the confirmation link in the email to complete the change.

Path Parameters

realmId*string

Realm ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

newEmail*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/auth/string/change_email/request" \  -H "Content-Type: application/json" \  -d '{    "newEmail": "string"  }'
{  "message": "string"}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}